TYPOS.Flow - Task #11955

Task # 11954 (Resolved): Check the current status of i18n/L10n

assess the current state of the 118n feature
2011-01-06 14:17 - Sebastian Kurfuerst

Status: Resolved Start date:

Priority: Should have Due date:

Assignee: Karsten Dambekalns % Done: 100%
Category: 118n Estimated time: 0.00 hour
Target version: 1.1 beta 1

Sprint: Has patch: No

PHP Version: Complexity:

Description

Associated revisions

Revision c40c9d32 - 2011-12-06 13:02 - Karsten Dambekalns
[TASK] Clean up some smaller things in 118n

Fixes a method name not renamed in an earlier refactoring, makes some
@return annotations fully qualified, simplifies some unit tests, ...

Change-Id: 1a0e7de8663c65793d288a007f299fb5592537905
Related: #11955
Releases: 1.1

Revision 3ddaf8ee - 2011-12-06 13:02 - Karsten Dambekalns
[FEATURE] Add XLIFF files with common labels for translation
This adds XLIFF files with a few basic labels and a german translation.

This shows the principle and can be used as a base for a generic
label catalog to use in all FLOWS3 applications.

Change-Id: 15681ff953a5e1f76393967d3b51e4c5b6c877¢c55
Related: #11955
Releases: 1.1

Revision ¢804bf25 - 2011-12-06 13:02 - Christopher Hlubek
[TASK] Functional tests for i18n Translator and FormatResolver
Change-Id: 14b5bc27fcebae92a8870ed1f1232779f607fec8d

Related: #11955
Releases: 1.1

History

#1 - 2011-01-29 23:34 - Karol Gusak

¢ |ssue #11035 - the framework should distinguish locales fully supported (languages for which all translation files etc exist) from basically
supported locales (datetime / numbers conversion rules and so on, known for virtually all languages - from CLDR)

e The resources localization by adding locale-tag suffix (like foo.en-GB.png) can be problematic (it makes mess in directory) - it would be nice to
have something like resource bundle in Java

e Support for more data from CLDR (most important: sorting rules)

e Internationalization of models (to do multi-language articles etc)?

These are the most important shortages AFAIR, if | find more | will post here :-).

#2 - 2011-03-04 09:43 - Robert Lemke
- Status changed from New to On Hold

#3 - 2011-03-24 21:57 - Karsten Dambekalns
- Subject changed from assess the current state of the i10n feature to assess the current state of the 118n feature
- Status changed from On Hold to Accepted

- Assignee set to Karsten Dambekalns

#4 - 2011-07-06 16:08 - Karsten Dambekalns

- Target version changed from 1.0 beta 1 to 1.1

#5 - 2011-11-22 00:22 - Karsten Dambekalns
- Category set to 118n
- Has patch set to No

#6 - 2011-12-15 17:35 - Karsten Dambekalns
- Status changed from Accepted to Resolved

- % Done changed from 0 to 100

Closing this one due to bit rot setting in... :)

The state was assessed and tweaked heavily. Whatever is still missing (we'll see) should get new feature issues.

#7 - 2011-12-21 12:37 - Karsten Dambekalns

- Target version changed from 1.1 to 1.1 beta 1
